# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "annonars"
version = "0.29.4"
authors = ["Manuel Holtgrewe <manuel.holtgrewe@bih-charite.de>"]
autobins = false
description = "Rust template repository"
homepage = "https://github.com/bihealth/annonars"
readme = "README.md"
license = "Apache-2.0"

[lib]
name = "annonars"
path = "src/lib.rs"

[[bin]]
name = "annonars"
path = "src/main.rs"

[dependencies.actix-web]
version = "4.4.0"

[dependencies.anyhow]
version = "1.0"

[dependencies.bgzip]
version = "0.3"

[dependencies.bio]
version = "1.4.0"

[dependencies.biocommons-bioutils]
version = "0.1.0"

[dependencies.boolvec]
version = "0.2"

[dependencies.byteorder]
version = "1.4"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.clap]
version = "4.4"
features = [
    "derive",
    "env",
]

[dependencies.clap-verbosity-flag]
version = "2.1"

[dependencies.csv]
version = "1.2"

[dependencies.enum-map]
version = "2.7.2"
features = ["serde"]

[dependencies.env_logger]
version = "0.10"

[dependencies.flate2]
version = "1.0"

[dependencies.indexmap]
version = "2.1"
features = ["serde"]

[dependencies.indicatif]
version = "0.17"
features = ["rayon"]

[dependencies.log]
version = "0.4"

[dependencies.noodles-bed]
version = "0.10"

[dependencies.noodles-bgzf]
version = "0.25"

[dependencies.noodles-core]
version = "0.12"

[dependencies.noodles-csi]
version = "0.28"

[dependencies.noodles-gff]
version = "0.25.0"

[dependencies.noodles-tabix]
version = "0.34"

[dependencies.noodles-vcf]
version = "0.47"

[dependencies.pbjson]
version = "0.6"

[dependencies.pbjson-types]
version = "0.6"

[dependencies.prost]
version = "0.12"

[dependencies.rayon]
version = "1.8"

[dependencies.rocksdb]
version = "0.21"
features = ["multi-threaded-cf"]

[dependencies.rocksdb-utils-lookup]
version = "0.3"

[dependencies.rustc-hash]
version = "1.1.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"
features = ["preserve_order"]

[dependencies.serde_with]
version = "3.3"
features = [
    "alloc",
    "macros",
    "indexmap_2",
]
default-features = false

[dependencies.strum]
version = "0.25"
features = [
    "strum_macros",
    "derive",
]

[dependencies.thiserror]
version = "1.0"

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"

[dev-dependencies.insta]
version = "1.33"
features = ["yaml"]

[dev-dependencies.log]
version = "0.4"

[dev-dependencies.pretty_assertions]
version = "1.4"

[dev-dependencies.rstest]
version = "0.18.2"

[dev-dependencies.temp_testdir]
version = "0.2"

[dev-dependencies.test-log]
version = "0.2"

[dev-dependencies.tracing-subscriber]
version = "0.3"

[dev-dependencies.tracing-test]
version = "0.2.4"

[build-dependencies.anyhow]
version = "1.0"

[build-dependencies.pbjson-build]
version = "0.6"

[build-dependencies.prost-build]
version = "0.12"
